Search
Search assets and targets
Search assets and targets
GET
Search assets and targets
Headers
Workspace ID
Query Parameters
Example:
1
Example:
10
Example:
"createdAt"
Example:
"DESC"
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Search assets and targets
curl --request GET \
--url https://{baseUrl}/api/v1/api/searchimport requests
url = "https://{baseUrl}/api/v1/api/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"assets": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"targetId": "<string>",
"isPrimary": true,
"dnsRecords": {},
"isEnabled": true
}
],
"targets": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "example.com",
"type": "DOMAIN",
"lastDiscoveredAt": "2023-11-07T05:31:56Z",
"totalAssetServices": 123,
"status": "pending",
"scanSchedule": "disabled"
}
]
},
"total": 123,
"page": 123,
"limit": 123,
"pageCount": 123,
"hasNextPage": true
}Workspace ID
1
10
"createdAt"
"DESC"
curl --request GET \
--url https://{baseUrl}/api/v1/api/searchimport requests
url = "https://{baseUrl}/api/v1/api/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"assets": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"targetId": "<string>",
"isPrimary": true,
"dnsRecords": {},
"isEnabled": true
}
],
"targets": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "example.com",
"type": "DOMAIN",
"lastDiscoveredAt": "2023-11-07T05:31:56Z",
"totalAssetServices": 123,
"status": "pending",
"scanSchedule": "disabled"
}
]
},
"total": 123,
"page": 123,
"limit": 123,
"pageCount": 123,
"hasNextPage": true
}